# Add project specific ProGuard rules here.
# You can control the set of applied configuration files using the
# proguardFiles setting in build.gradle.
#
# For more details, see
#   http://developer.android.com/guide/developing/tools/proguard.html

# If your project uses WebView with JS, uncomment the following
# and specify the fully qualified class name to the JavaScript interface
# class:
#-keepclassmembers class fqcn.of.javascript.interface.for.webview {
#   public *;
#}

# Uncomment this to preserve the line number information for
# debugging stack traces.
#-keepattributes SourceFile,LineNumberTable

# If you keep the line number information, uncomment this to
# hide the original source file name.
#-renamesourcefileattribute SourceFile

# For sane debuggability
-keepattributes SourceFile,LineNumberTable

# Flatten obfuscated files' package structure
# IDE shows the line below as faulty
#-repackageclasses ''

##------------- Begin: proguard configuration for Gson -------------
# Gson uses generic type information stored in a class file when working with fields. Proguard
# removes such information by default, so configure it to keep all of it.
-keepattributes Signature

# For using GSON @Expose annotation
-keepattributes *Annotation*

# Gson specific classes
-keep class sun.misc.Unsafe { *; }
#-keep class com.google.gson.stream.** { *; }

# Application classes that will be serialized/deserialized over Gson
-keep class com.entersekt.features.information.faqs.FaqsList { *; }
-keep class com.entersekt.features.information.faqs$* { *; }
##-------------- End: proguard configuration for Gson --------------

##--------- Begin: proguard configuration for SDK ----------
-dontwarn com.google.android.gms.**
##---------- End: proguard configuration for SDK -----------

-dontnote android.net.http.**
-dontnote org.apache.http.**

##--------- Begin: Huawei ----------
-keep class com.huawei.**{*;}
-keep, includecode class com.huawei.**{*;}
-keep class com.huawei.hms.**{*;}
-keep class com.hianalytics.android.**{*;}
-keep class com.huawei.updatesdk.**{*;}
##--------- End: Huawei ----------
